Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.out
Class ENLOCErrorParameter

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.errors.out.ENLOCErrorParameter

All Implemented Interfaces:
  java.io.Serializable

    public class ENLOCErrorParameter

extends java.lang.Object
implements java.io.Serializable

Class ENLOCErrorParameter. Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`ENLOCErrorParameter()`

Method Summary
`void` | `deleteId()`
`java.lang.String` | `getContent()` Returns the value of field 'content'.
`java.lang.String` | `getENLOCCode()` Returns the value of field 'ENLOCCode'.
`long` | `getId()` Returns the value of field 'id'.
`boolean` | `hasId()` Method hasId.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `setContent(java.lang.String content)` Sets the value of field 'content'.
`void` | `setENLOCCode(java.lang.String ENLOCCode)` Sets the value of field 'ENLOCCode'.
`void` | `setId(long id)` Sets the value of field 'id'.
`static ENLOCErrorParameter` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENLOCErrorParameter

    public ENLOCErrorParameter()

Method Detail

### deleteId

    public void deleteId()

### getContent

    public java.lang.String getContent()

  Returns the value of field 'content'. The field 'content' has the following description: internal content storage

  Returns:
    the value of field 'Content'.

### getId

    public long getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getENLOCCode

    public java.lang.String getENLOCCode()

  Returns the value of field 'ENLOCCode'.

  Returns:
    the value of field 'ENLOCCode'.

### hasId

    public boolean hasId()

  Method hasId.

  Returns:
    true if at least one Id has been added

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### setContent

    public void setContent(java.lang.String content)

  Sets the value of field 'content'. The field 'content' has the following description: internal content storage

  Parameters:
    `content` - the value of field 'content'.

### setId

    public void setId(long id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setENLOCCode

    public void setENLOCCode(java.lang.String ENLOCCode)

  Sets the value of field 'ENLOCCode'.

  Parameters:
    `ENLOCCode` - the value of field 'ENLOCCode'.

### unmarshal

    public static ENLOCErrorParameter unmarshal(java.io.Reader reader)
                                         throws org.exolab.castor.xml.MarshalException,
                                                org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.errors.out.ENLOCErrorParameter
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD